*==============================================================================*
* TITULO DE LA SINTAXIS:                            						   *
* Sintaxis de indicadores Indicadores de violencia de Género		      	   *
* OPERACIÓN ESTADISTICA:                             						   *
* Encuesta Nacional sobre Relaciones Familiares y Violencia de Género contra   *
* las mujeres – ENREFAM                            							   *
* UNIDAD TECNICA RESPONSABLE:                         						   *
* ENTIDAD EJECUTORA:                              							   *
*==============================================================================*
* Fecha de elaboración: Septiembre 16 del 2019             	  				   *
* Fecha ultima modificación: Noviembre 22 de 2019                			   *
*==============================================================================*
* Elaborado por:															   *
* Instituto Nacional de Estádistica y Censos (INEC)              			   *
*==============================================================================*
* Revisado y Aprobado por:                           						   *
* Direccion:                                  								   *
* Direccion de Estadisticas Sociodemográficas (DIES)              			   *
* Instituto Nacional de Estadistica y Censos (INEC)              			   *
*==============================================================================*
*==============================================================================*
* INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la Encuesta Nacional sobre Relaciones Familiares y 
*    Violencia de Género contra las mujeres.
* 2. Coloque en una sola carpeta todas las bases. 
* 3. No cambie los nombres originales de los archivos, en caso de hacerlo,deberá 
*    remplazar los nombres en el presente archivo. 
* 4. En "cd" se debe colocar la dirección de la carpeta que contiene las bases.
clear all
set more off
set trace off

	cd "..." /* Colocar directorio */

use 201911_EnvigmuBDD_indicadores_violencia.dta, clear
	
*------------------------------------------------------------------------------*
* Seleccionamos la población referencia (mujeres de 15 años y más) con las
* variables que permitan caracterizarlas. (Variables sociodemográficas)
*------------------------------------------------------------------------------*
*==============================================================================*
* Denominadores
*==============================================================================*
* Construcción de población objetivo de:

* 1. mujeres>=15 años que ha estudiado a lo largo de la vida
gen mujeres1 = 0
replace mujeres1 = 1 if (f2_s2a_2==1 | f3_s2a_2==1 | f4_s2a_2==1)

* 2. mujeres>=15 años que han trabajado a lo largo de la vida
gen mujeres2 = 0
replace mujeres2 = 1 if (f2_s3a_2==1 | f3_s3a_2==1 | f4_s3a_2==1)

* 3. mujeres>=15 años que han tenido Violencia Gineco-Obstetrica
gen mujeres3 = 0
replace mujeres3 = 1 if (f2_s8_1==1 | f3_s8_1==1 | f4_s8_1==1 | f2_s8_14==1 | f3_s8_14==1 | f4_s8_15==1)

* 4. mujeres>=15 años que han tenido violencia Obstetrica 
gen mujeres4 = 0
replace mujeres4 = 1  if ((f2_s8_1==1 & (f2_s8_2_a_3==2 | f2_s8_2_a_3==3 | f2_s8_2_b_3==2 | f2_s8_2_b_3==3 | f2_s8_2_c_3==2 | f2_s8_2_c_3==3 | ///
 f2_s8_2_d_3==2 |f2_s8_2_d_3==3 | f2_s8_2_e_3==2 | f2_s8_2_e_3==3 | f2_s8_2_f_3==2 | f2_s8_2_f_3==3 | f2_s8_2_g_3==2 | f2_s8_2_g_3==3)) | ///
(f3_s8_1==1 & (f3_s8_2a_3==2 | f3_s8_2a_3==3 | f3_s8_2b_3==2 | f3_s8_2b_3==3 | f3_s8_2c_3==2 | f3_s8_2c_3==3 | f3_s8_2d_3==2 | f3_s8_2d_3==3 | ///
 f3_s8_2e_3==2 | f3_s8_2e_3==3 | f3_s8_2f_3==2 | f3_s8_2f_3==3 | f3_s8_2g_3==2 | f3_s8_2g_3==3)) | (f4_s8_1==1 & (f4_s8_3_a==2 | f4_s8_3_a==3 | ///
 f4_s8_3_b==2 | f4_s8_3_b==3 | f4_s8_3_c==2 |f4_s8_3_c==3 | f4_s8_3_d==2 | f4_s8_3_d==3 | f4_s8_3_e==2 | f4_s8_3_e==3 | f4_s8_3_f==2 | ///
 f4_s8_3_f==3 | f4_s8_3_g==2 | f4_s8_3_g==3)) | f2_s8_1==1 | f3_s8_1==1 | f4_s8_1==1)

*------------------------------------------------------------------------------*
svyset upm [iw=fexpm], strata(estrato) vce(linearized) singleunit(certainty)
*------------------------------------------------------------------------------*

*==============================================================================*
* INDICADORES - Violencia a lo largo de la vida
*==============================================================================*

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han experimentado  por lo menos 
* un hecho de algún tipo de violencia psicológica en los ámbitos a lo largo de 
* su vida.
*==============================================================================*
*# VIOLENCIA PSICOLÓGICA

*# CASADAS

*# Educativo
gen vpsca_edu = 0
replace vpsca_edu = 1 if mujeres1==1 & (f2_s2a_3_a==1 | f2_s2a_3_b==1 | f2_s2a_3_c==1 | f2_s2a_3_d==1)
*# Laboral
gen vpsca_lab = 0
replace vpsca_lab = 1 if mujeres2==1 & (f2_s3a_3_a==1 | f2_s3a_3_b==1 | f2_s3a_3_c==1 | f2_s3a_3_d==1 | f2_s3a_3_e==1 | f2_s3a_3_f==1)
*# Social
gen vpsca_soc = 0
replace vpsca_soc = 1 if (f2_s4a_1_a==1 | f2_s4a_1_b==1 | f2_s4a_1_e==1 | f2_s4a_1_f==1| f2_s4a_1_k==1)
*# Familiar
gen vpsca_fam = 0
replace vpsca_fam = 1 if (f2_s6a_1_a==1 | f2_s6a_1_b==1 | f2_s6a_1_c==1 | f2_s6a_1_d==1 | f2_s6a_1_e==1 | f2_s6a_1_f==1 | f2_s6a_1_g==1)
*# Pareja
gen vpsca_par = 0
replace vpsca_par = 1 if (f2_s7_3_2==1 | f2_s7_3_3==1 | f2_s7_3_6==1 | f2_s7_4_2==1 | f2_s7_4_3==1 | f2_s7_4_6==1 | (f2_s7a_14_1 >=1 & f2_s7a_14_1<=3) | ///
(f2_s7a_14_2>=1 & f2_s7a_14_2<=3) | (f2_s7a_14_3>=1 & f2_s7a_14_3<=3) | (f2_s7a_14_4>=1 & f2_s7a_14_4<=3) | (f2_s7a_14_5>=1 & f2_s7a_14_5<=3) | ///
(f2_s7a_14_6>=1 & f2_s7a_14_6<=3) | (f2_s7a_14_7>=1 & f2_s7a_14_7<=3) | (f2_s7a_14_8>=1 & f2_s7a_14_8<=3) | (f2_s7a_14_15>=1 & f2_s7a_14_15<=3))
*# Total casadas
gen vsitotca = 0
replace vsitotca = 1 if (vpsca_edu==1 | vpsca_lab==1 | vpsca_soc==1 | vpsca_fam==1 | vpsca_par==1)

*# SEPARADAS

*# Educativo
gen vpsse_edu = 0
replace vpsse_edu = 1 if mujeres1==1 & (f3_s2a_3_a==1 | f3_s2a_3_b==1 | f3_s2a_3_c==1 | f3_s2a_3_d==1)
*# Laboral
gen vpsse_lab = 0
replace vpsse_lab = 1 if mujeres2==1 & (f3_s3a_3_a==1 | f3_s3a_3_b==1 | f3_s3a_3_c==1 | f3_s3a_3_d==1 | f3_s3a_3_e==1 | f3_s3a_3_f==1)
*# Social
gen vpsse_soc = 0
replace vpsse_soc = 1 if (f3_s4a_1_a==1 | f3_s4a_1_b==1 | f3_s4a_1_e==1 | f3_s4a_1_f==1 | f3_s4a_1_k==1)
*# Familiar ===
gen vpsse_fam = 0
replace vpsse_fam = 1 if (f3_s6a_1_a==1 | f3_s6a_1_b==1 | f3_s6a_1_c==1 | f3_s6a_1_d==1 | f3_s6a_1_e==1 | f3_s6a_1_f==1 | f3_s6a_1_g==1)
*# Pareja
gen vpsse_par = 0
replace vpsse_par = 1 if (f3_s7_3_2==1 | f3_s7_3_3==1 | f3_s7_3_6==1 | f3_s7_4_2==1 | f3_s7_4_3==1 | f3_s7_4_6==1 | (f3_s7a_15_1 >=1 & f3_s7a_15_1<=3) | ///
(f3_s7a_15_2>=1 & f3_s7a_15_2<=3) | (f3_s7a_15_3>=1 & f3_s7a_15_3<=3) | (f3_s7a_15_4>=1 & f3_s7a_15_4<=3) | (f3_s7a_15_5>=1 & f3_s7a_15_5<=3) | ///
(f3_s7a_15_6>=1 & f3_s7a_15_6<=3) | (f3_s7a_15_7>=1 & f3_s7a_15_7<=3) | (f3_s7a_15_8>=1 & f3_s7a_15_8<=3) | (f3_s7a_15_15>=1 & f3_s7a_15_15<=3) | ///
 f3_s7a_18_2==1 | f3_s7a_18_3==1 | f3_s7a_18_6==1 | (f3_s7b_24>=3 & f3_s7b_24<=6))
*# Total separadas
gen vsitotse = 0
replace vsitotse = 1 if (vpsse_edu==1 | vpsse_lab==1 | vpsse_soc==1 | vpsse_fam==1 | vpsse_par==1)

*# SOLTERAS

*# Educativo
gen vpsso_edu = 0
replace vpsso_edu = 1 if mujeres1==1 & (f4_s2a_3_a==1 | f4_s2a_3_b==1 | f4_s2a_3_c==1 | f4_s2a_3_d==1)
*# Laboral
gen vpsso_lab = 0
replace vpsso_lab = 1 if mujeres2==1  & (f4_s3a_3_a==1 | f4_s3a_3_b==1 | f4_s3a_3_c==1 | f4_s3a_3_d==1 | f4_s3a_3_e==1 | f4_s3a_3_f==1)
*# Social
gen vpsso_soc = 0
replace vpsso_soc = 1 if (f4_s4a_1_a==1 | f4_s4a_1_b==1 | f4_s4a_1_e==1 | f4_s4a_1_f==1 | f4_s4a_1_k==1)
*# Familiar
gen vpsso_fam = 0
replace vpsso_fam = 1 if (f4_s6a_1_a==1 | f4_s6a_1_b==1 | f4_s6a_1_c==1 | f4_s6a_1_d==1 | f4_s6a_1_e==1 | f4_s6a_1_f==1 | f4_s6a_1_g==1)
*# Pareja
gen vpsso_par = 0
replace vpsso_par = 1 if (f4_s7_3_2==1 | f4_s7_3_3==1 | f4_s7_3_6==1 | f4_s7_4_2==1 | f4_s7_4_3==1 | f4_s7_4_6==1 | f4_s7a_10_1==1 | f4_s7a_10_2==1 | ///
f4_s7a_10_3==1 | f4_s7a_10_4==1 | f4_s7a_10_5==1 | f4_s7a_10_6==1 | f4_s7a_10_12==1)
*# Total solteras
gen vsitotso = 0
replace vsitotso = 1 if (vpsso_edu==1 | vpsso_lab==1 | vpsso_soc==1 | vpsso_fam==1 | vpsso_par==1)

*# VIOLENCIA PISCOLÓGICA POR ÁMBITO
*# 1. Educativo
gen vps_edu = 0
replace vps_edu = 1 if mujeres1==1 & (vpsca_edu==1 | vpsse_edu==1 | vpsso_edu==1)
*# 2. Laboral
gen vps_lab = 0
replace vps_lab = 1 if mujeres2==1 & (vpsca_lab==1 | vpsse_lab==1 | vpsso_lab==1)
*# 3. Social
gen vps_soc = 0
replace vps_soc = 1 if (vpsca_soc==1 | vpsse_soc==1 | vpsso_soc==1)
*# 4. Familiar
gen vps_fam = 0
replace vps_fam = 1 if (vpsso_fam==1 | vpsse_fam==1 | vpsso_fam==1)
*# 5. Pareja
gen vps_par = 0
replace  vps_par = 1 if (vpsca_par==1 | vpsse_par==1 | vpsso_par==1)

*# VIOLENCIA PISCOLÓGICA TOTAL

**Numerador:** 
gen vpsittm = 0
replace vpsittm = 1 if (vsitotca==1 | vsitotse==1 | vsitotso==1)

* Resultados
svy: ratio vpsittm/muj_sel
svy: ratio vpsittm/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han experimentado  por lo menos 
* un hecho de algún tipo de violencia física en los ámbitos a lo largo de 
* su vida.
*==============================================================================*
*# VIOLENCIA FÍSICA

*# CASADAS

*# Educativo
gen vfica_edu = 0
replace vfica_edu = 1 if mujeres1==1 & (f2_s2a_3_e==1 | f2_s2a_3_f==1)
*# Laboral
gen vfica_lab = 0
replace vfica_lab = 1 if mujeres2==1 & (f2_s3a_3_g==1 | f2_s3a_3_h==1)
*# Social
gen vfica_soc = 0
replace vfica_soc = 1 if (f2_s4a_1_c==1 | f2_s4a_1_d==1)
*# Familiar
gen vfica_fam = 0
replace vfica_fam = 1 if (f2_s6a_1_h==1 | f2_s6a_1_i==1)
*# Pareja
gen vfica_par = 0
replace vfica_par = 1 if (f2_s7_3_1==1 | f2_s7_4_1==1 | (f2_s7a_14_16>=1 & f2_s7a_14_16<=3) | (f2_s7a_14_17>=1 & f2_s7a_14_17<=3) | ///
(f2_s7a_14_18>=1 & f2_s7a_14_18<=3) | (f2_s7a_14_19>=1 & f2_s7a_14_19<=3) | (f2_s7a_14_20>=1 & f2_s7a_14_20<=3))
*# Total casadas
gen vfitotca = 0
replace vfitotca = 1 if (vfica_edu==1 | vfica_lab==1 | vfica_soc==1 | vfica_fam==1 |  vfica_par==1)

*# SEPARADAS

*# Educativo
gen vfise_edu = 0
replace vfise_edu = 1 if mujeres1==1 & (f3_s2a_3_e==1 | f3_s2a_3_f==1)
*# Laboral
gen vfise_lab = 0
replace vfise_lab = 1 if mujeres2==1 & (f3_s3a_3_g==1 | f3_s3a_3_h==1)
*# Social
gen vfise_soc = 0
replace vfise_soc = 1 if (f3_s4a_1_c==1 | f3_s4a_1_d==1)
*# Familiar
gen vfise_fam = 0
replace vfise_fam = 1 if (f3_s6a_1_h==1 | f3_s6a_1_i==1)
*# Pareja
gen vfise_par  = 0
replace vfise_par = 1 if (f3_s7_3_1==1 |f3_s7_4_1==1 | (f3_s7a_15_16>=1 & f3_s7a_15_16<=3) | (f3_s7a_15_17>=1 & f3_s7a_15_17<=3) | ///
(f3_s7a_15_18>=1 & f3_s7a_15_18<=3) | (f3_s7a_15_19>=1 & f3_s7a_15_19<=3) | (f3_s7a_15_20>=1 & f3_s7a_15_20<=3) | f3_s7a_18_1==1)
*# Total separadas
gen vfitotse = 0
replace vfitotse = 1 if (vfise_edu==1 | vfise_lab==1 | vfise_soc==1 | vfise_fam==1 |  vfise_par==1)

*# SOLTERAS

*# Educativo
gen vfiso_edu = 0
replace vfiso_edu = 1 if mujeres1==1 & (f4_s2a_3_e==1 | f4_s2a_3_f==1)
*# Laboral
gen vfiso_lab = 0
replace vfiso_lab = 1 if mujeres2==1 & (f4_s3a_3_g==1 | f4_s3a_3_h==1)
*# Social
gen vfiso_soc = 0
replace vfiso_soc = 1 if (f4_s4a_1_c==1 | f4_s4a_1_d==1)
*# Familiar
gen vfiso_fam = 0
replace vfiso_fam = 1 if (f4_s6a_1_h==1 | f4_s6a_1_i==1)
*# Pareja
gen vfiso_par = 0
replace vfiso_par = 1 if (f4_s7_3_1==1 |f4_s7_4_1==1 | f4_s7a_10_13==1 | f4_s7a_10_14==1 | f4_s7a_10_15==1 | f4_s7a_10_16==1 | f4_s7a_10_17==1)
*# Total
gen vfitotso = 0
replace vfitotso = 1 if (vfiso_edu==1 | vfiso_lab==1 | vfiso_soc==1 | vfiso_fam==1 |  vfiso_par==1)

*# VIOLENCIA FÍSICA POR ÁMBITO
*# 1. Educativo
gen vfi_edu = 0
replace vfi_edu = 1 if mujeres1==1 & (vfica_edu==1 | vfise_edu==1 | vfiso_edu==1)
*# 2. Laboral
gen vfi_lab = 0
replace vfi_lab = 1 if mujeres2==1 & (vfica_lab==1 | vfise_lab==1 | vfiso_lab==1)
*# 3. Social
gen vfi_soc = 0
replace vfi_soc = 1 if (vfica_soc==1 | vfise_soc==1 | vfiso_soc==1)
*# 4. Familiar
gen vfi_fam = 0
replace vfi_fam = 1 if (vfica_fam==1 | vfise_fam==1 | vfiso_fam==1)
*# 5. Pareja
gen vfi_par = 0
replace vfi_par = 1 if (vfica_par==1 | vfise_par==1 | vfiso_par==1)

*# VIOLENCIA FÍSICA TOTAL

**Numerador:** 
gen vfittm = 0
replace vfittm = 1 if (vfitotca==1 | vfitotse==1 | vfitotso==1)

* Resultados
svy: ratio vfittm/muj_sel
svy: ratio vfittm/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han experimentado  por lo menos 
* un hecho de algún tipo de violencia sexual en los ámbitos a lo largo de 
* su vida.
*==============================================================================*
*# VIOLENCIA SEXUAL

*# CASADAS

*# Educativo
gen vsexca_edu = 0
replace vsexca_edu = 1 if mujeres1==1 & (f2_s2a_3_g==1 | f2_s2a_3_h==1 | f2_s2a_3_i==1 | f2_s2a_3_j==1 | f2_s2a_3_k==1 | f2_s2a_3_l==1 | ///
f2_s2a_3_m==1 | f2_s2a_3_n==1 | f2_s2a_3_o==1)
*# Laboral
gen vsexca_lab = 0
replace vsexca_lab = 1 if mujeres2==1 & (f2_s3a_3_i==1 | f2_s3a_3_j==1 | f2_s3a_3_k==1 | f2_s3a_3_l==1 | f2_s3a_3_m==1 | f2_s3a_3_n==1 | ///
f2_s3a_3_o==1 | f2_s3a_3_p==1 | f2_s3a_3_q==1 | f2_s3a_3_r==1)
*# Social
gen vsexca_soc = 0
replace vsexca_soc = 1 if (f2_s4a_1_g==1 | f2_s4a_1_h==1 | f2_s4a_1_i==1 | f2_s4a_1_j==1 | f2_s4a_1_l==1 | f2_s4a_1_m==1 | f2_s4a_1_n==1)
*# Familiar
gen vsexca_fam = 0
replace vsexca_fam = 1 if (f2_s6a_1_p==1 | f2_s6a_1_q==1 | f2_s6a_1_r==1 | f2_s6a_1_s==1 | f2_s6a_1_t==1 | f2_s6a_1_u==1 | f2_s6a_1_v==1)
*# Pareja casadas
gen vsexca_par = 0
replace vsexca_par = 1 if (f2_s7_3_4==1 | f2_s7_4_4==1 | (f2_s7a_14_21>=1 & f2_s7a_14_21<=3) | (f2_s7a_14_22>=1 & f2_s7a_14_22<=3) | ///
(f2_s7a_14_23>=1 & f2_s7a_14_23<=3))
*# Total casadas
gen vstpersca = 0
replace vstpersca = 1 if (vsexca_edu==1 | vsexca_lab==1 | vsexca_soc==1 | vsexca_fam==1 |  vsexca_par==1)

*# SEPARADAS

*# Educativo
gen vsexse_edu = 0
replace vsexse_edu = 1 if mujeres1==1 & (f3_s2a_3_g==1 | f3_s2a_3_h==1 | f3_s2a_3_i==1 | f3_s2a_3_j==1 | f3_s2a_3_k==1 | f3_s2a_3_l==1 | ///
f3_s2a_3_m==1 | f3_s2a_3_n==1 | f3_s2a_3_o==1)
*# Laboral
gen vsexse_lab = 0
replace vsexse_lab = 1 if mujeres2==1 & (f3_s3a_3_i==1 | f3_s3a_3_j==1 | f3_s3a_3_k==1 | f3_s3a_3_l==1 | f3_s3a_3_m==1 | f3_s3a_3_n==1 | ///
f3_s3a_3_o==1 | f3_s3a_3_p==1 | f3_s3a_3_q==1 | f3_s3a_3_r==1)
*# Social
gen vsexse_soc = 0
replace vsexse_soc = 1 if (f3_s4a_1_g==1 | f3_s4a_1_h==1 | f3_s4a_1_i==1 | f3_s4a_1_j==1 | f3_s4a_1_l==1 | f3_s4a_1_m==1 | f3_s4a_1_n==1)
*# Familiar
gen vsexse_fam = 0
replace vsexse_fam = 1 if (f3_s6a_1_p==1 | f3_s6a_1_q==1 | f3_s6a_1_r==1 | f3_s6a_1_s==1 | f3_s6a_1_t==1 | f3_s6a_1_u==1 | f3_s6a_1_v==1)
*# Pareja
gen vsexse_par = 0
replace vsexse_par = 1 if (f3_s7_3_4==1 | f3_s7_4_4==1 | (f3_s7a_15_21>=1 & f3_s7a_15_21<=3) | (f3_s7a_15_22>=1 & f3_s7a_15_22<=3) | ///
(f3_s7a_15_23>=1 & f3_s7a_15_23<=3) | f3_s7a_18_4==1)
*# Total separadas
gen vstpersse = 0
replace vstpersse = 1 if (vsexse_edu==1 | vsexse_lab==1 | vsexse_soc==1 | vsexse_fam==1 |  vsexse_par==1)

*# SOLTERAS

*# Educativo
gen vsexso_edu = 0
replace vsexso_edu = 1 if mujeres1==1 & (f4_s2a_3_g==1 | f4_s2a_3_h==1 | f4_s2a_3_i==1 | f4_s2a_3_j==1 | f4_s2a_3_k==1 | f4_s2a_3_l==1 | ///
f4_s2a_3_m==1 | f4_s2a_3_n==1 | f4_s2a_3_o==1)
*# Laboral
gen vsexso_lab = 0
replace vsexso_lab = 1 if mujeres2==1 & (f4_s3a_3_i==1 | f4_s3a_3_j==1 | f4_s3a_3_k==1 | f4_s3a_3_l==1 | f4_s3a_3_m==1 | f4_s3a_3_n==1 | ///
f4_s3a_3_o==1 | f4_s3a_3_p==1 | f4_s3a_3_q==1 | f4_s3a_3_r==1)
*# Social
gen vsexso_soc = 0
replace vsexso_soc = 1 if (f4_s4a_1_g==1 | f4_s4a_1_h==1 | f4_s4a_1_i==1 | f4_s4a_1_j==1 | f4_s4a_1_l==1 | f4_s4a_1_m==1 | f4_s4a_1_n==1)
*# Familiar
gen vsexso_fam = 0
replace vsexso_fam = 1 if (f4_s6a_1_p==1 | f4_s6a_1_q==1 | f4_s6a_1_r==1 | f4_s6a_1_s==1 | f4_s6a_1_t==1 | f4_s6a_1_u==1 | f4_s6a_1_v ==1)
*# Pareja
gen vsexso_par = 0
replace vsexso_par = 1 if (f4_s7_3_4==1 | f4_s7_4_4==1 | f4_s7a_10_18==1 | f4_s7a_10_19==1 | f4_s7a_10_20==1)
*# Total solteras
gen vstpersso = 0
replace vstpersso = 1 if (vsexso_edu==1 | vsexso_lab==1 | vsexso_soc==1 | vsexso_fam==1 |  vsexso_par==1)

*# VIOLENCIA SEXUAL POR ÁMBITO

*# 1. Educativo
gen vsex_edu = 0
replace vsex_edu = 1 if mujeres1==1 & (vsexca_edu==1 | vsexse_edu==1 | vsexso_edu==1)
*# 2. Laboral
gen vsex_lab = 0
replace vsex_lab = 1 if mujeres2==1 & (vsexca_lab==1 | vsexse_lab==1 | vsexso_lab==1)
*# 3. Social
gen vsex_soc = 0
replace vsex_soc = 1 if (vsexca_soc==1 | vsexse_soc==1 | vsexso_soc==1)
*# 4. Familiar
gen vsex_fam = 0
replace vsex_fam = 1 if (vsexca_fam==1 | vsexse_fam==1 | vsexso_fam==1)
*# 5. Pareja
gen vsex_par = 0
replace vsex_par = 1 if (vsexca_par==1 | vsexse_par==1 | vsexso_par==1)

*# VIOLENCIA SEXUAL TOTAL ====

**Numerador:** 
gen vsttm = 0
replace vsttm = 1 if (vstpersca==1 | vstpersse==1 | vstpersso==1)

* Resultados
svy: ratio vsttm/muj_sel
svy: ratio vsttm/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han experimentado  por lo menos 
* un hecho de algún tipo de violencia económica o ptraimonial en los ámbitos a 
* lo largo de su vida.
*==============================================================================*
*# VIOLENCIA PATRIMONIAL

*# CASADAS

*# Familiar
gen vepca_fam = 0
replace vepca_fam = 1 if (f2_s6a_1_j==1 | f2_s6a_1_k==1 | f2_s6a_1_l==1 | f2_s6a_1_m==1 | f2_s6a_1_n==1 | f2_s6a_1_o==1)
*# Pareja
gen vepca_par = 0
replace vepca_par = 1 if (f2_s7_3_5==1 | f2_s7_4_5==1 | f2_s7_4_7==1 | (f2_s7a_14_9>=1 & f2_s7a_14_9 <=3) | (f2_s7a_14_10>=1 & f2_s7a_14_10<=3) | ///
(f2_s7a_14_11>=1 &f2_s7a_14_11<=3) | (f2_s7a_14_12>=1 & f2_s7a_14_12<=3) | (f2_s7a_14_13>=1 & f2_s7a_14_13<=3) | (f2_s7a_14_14>=1 & f2_s7a_14_14<=3))
*# Total casadas
gen vectpca = 0
replace vectpca = 1 if (vepca_fam==1 | vepca_par==1)

*# SEPARADAS

*# Familiar
gen vepse_fam = 0
replace vepse_fam = 1 if (f3_s6a_1_j==1 | f3_s6a_1_k==1 | f3_s6a_1_l==1 | f3_s6a_1_m==1 | f3_s6a_1_n==1 | f3_s6a_1_o==1)
*# Pareja
gen vepse_par = 0
replace vepse_par = 1 if (f3_s7_3_5==1 | f3_s7_4_5==1| f3_s7_4_7==1 | (f3_s7a_15_9>=1 & f3_s7a_15_9<=3) | (f3_s7a_15_10>=1 & f3_s7a_15_10<=3) | ///
(f3_s7a_15_11>=1 & f3_s7a_15_11<=3) | (f3_s7a_15_12>=1 & f3_s7a_15_12<=3) | (f3_s7a_15_13>=1 & f3_s7a_15_13<=3) | (f3_s7a_15_14>=1 & f3_s7a_15_14<=3) | f3_s7a_18_7==1)
*# Total separadas
gen vectpse = 0
replace vectpse = 1 if (vepse_fam==1 | vepse_par==1)

*# SOLTERAS

*# Familiar
gen vepso_fam = 0
replace vepso_fam = 1 if (f4_s6a_1_j==1 | f4_s6a_1_k==1 | f4_s6a_1_l==1 | f4_s6a_1_m==1 | f4_s6a_1_n==1 | f4_s6a_1_o==1)
*# Pareja
gen vepso_par = 0
replace vepso_par = 1 if (f4_s7_3_5==1 | f4_s7_4_5==1 | f4_s7_4_7==1 | f4_s7a_10_7==1 | f4_s7a_10_8==1 | f4_s7a_10_9==1 | f4_s7a_10_10==1 | f4_s7a_10_11==1)
*# Total solteras
gen vectpso = 0
replace vectpso = 1 if (vepso_fam==1 | vepso_par==1)

*# VIOLENCIA PATRIMONIAL POR ÁMBITO

*# 4. Familiar
gen vep_fam = 0
replace vep_fam = 1 if (vepca_fam==1 | vepse_fam==1 | vepso_fam==1)
*# 5. Pareja
gen vep_par = 0
replace vep_par = 1 if (vepca_par==1 | vepse_par==1 | vepso_par==1)

*# VIOLENCIA PATRIMONIAL TOTAL ====

**Numerador:** 
gen vecttm = 0
replace vecttm = 1 if (vectpca==1 | vectpse==1 | vectpso==1)

* Resultados
svy: ratio vecttm/muj_sel
svy: ratio vecttm/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han experimentado  por lo menos 
* un hecho de algún tipo de violencia en alguno de los distintos ámbitos a lo 
* largo de su vida.
*==============================================================================*
*# VIOLENCIA TOTAL

**Numerador:** 
gen viotot = 0
replace viotot = 1 if (vpsittm==1 | vfittm==1 | vsttm==1 | vecttm==1)

* Resultados
svy: ratio viotot/muj_sel
svy: ratio viotot/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que asistieron a un centro educativo 
* y que han experimentado  por lo menos un hecho de algún tipo de violencia
*==============================================================================*
*# 1.1 ÁMBITO EDUCATIVO

**Numerador:** 
gen educativo = 0
replace educativo = 1 if (vps_edu==1 | vfi_edu==1 | vsex_edu==1)

* Resultados
svy: ratio educativo/mujeres1
svy: ratio educativo/mujeres1, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que trabaja o ha trabajado a lo largo
* de su vida y que han experimentado  por lo menos un hecho de algún tipo de 
* violencia
*==============================================================================*
*# 2. ÁMBITO LABORAL

**Numerador:** 
gen laboral = 0
replace laboral = 1 if (vps_lab==1 | vfi_lab==1 | vsex_lab==1)

* Resultados
svy: ratio laboral/mujeres2
svy: ratio laboral/mujeres2, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años que han experimentado algún tipo de violencia 
* por en el ámbito social.
*==============================================================================*
*# 3. ÁMBITO SOCIAL

**Numerador:** 
gen social = 0
replace social = 1 if (vps_soc==1 | vfi_soc==1 | vsex_soc==1)

* Resultados
svy: ratio social/muj_sel
svy: ratio social/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años que han experimentado algún tipo de violencia 
* por en el ámbito familiar.
*==============================================================================*
*# 4. ÁMBITO FAMILIAR

**Numerador:** 
gen familiar = 0
replace familiar = 1 if (vps_fam==1 | vfi_fam==1 | vsex_fam==1 | vep_fam==1)

* Resultados
svy: ratio familiar/muj_sel
svy: ratio familiar/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años que han experimentado algún tipo de violencia 
* por en el ámbito familiar.
*==============================================================================*
*# 5. VIDA EN PAREJA

**Numerador:** 
gen pareja = 0
replace pareja = 1 if (vps_par==1 | vfi_par==1 | vsex_par==1 | vep_par==1)

* Resultados
svy: ratio pareja/muj_sel
svy: ratio pareja/muj_sel, over(area)

*==============================================================================*
* Porcentaje de mujeres de 15 años y más que han tenido violencia 
* Gineco-Obstétrica a lo largo de la vida
*==============================================================================*
*# VIOLENCIA GINECO-OBSTÉTRICA
*# Pregunta2=1 si pregunta1=1 
gen gin1 = 0
replace gin1 = 1 if (mujeres3==1 & (f2_s8_2_a==1 | f3_s8_2a==1 | f4_s8_2_a==1))
gen gin2 = 0
replace gin2 = 1 if (mujeres3==1 & (f2_s8_2_b==1 | f3_s8_2b==1 | f4_s8_2_b==1))
gen gin3 = 0
replace gin3 = 1 if (mujeres3==1 & (f2_s8_2_c==1 | f3_s8_2c==1 | f4_s8_2_c==1))
gen gin4 = 0
replace gin4 = 1 if (mujeres3==1 & (f2_s8_2_d==1 | f3_s8_2d==1 | f4_s8_2_d==1))
gen gin5 = 0
replace gin5 = 1 if (mujeres3==1 & (f2_s8_2_e==1 | f3_s8_2e==1 | f4_s8_2_e==1))
gen gin6 = 0
replace gin6 = 1 if (mujeres3==1 & (f2_s8_2_f==1 | f3_s8_2f==1 | f4_s8_2_f==1))
gen gin7 = 0
replace gin7 = 1 if (mujeres3==1 & (f2_s8_2_g==1 | f3_s8_2g==1 | f4_s8_2_g==1))

gen gin = 0
replace gin = 1 if (mujeres3==1 & (gin1==1 | gin2==1 | gin3==1 | gin4==1 | gin5==1 | gin6==1 | gin7==1))

*#  Preg. 17, 18, 19, 24 o preg: 18, 19, 20, 25==2, si preg. 14==1
gen gin_obst1 = 0
replace gin_obst1 = 1 if (mujeres3==1 &  (f2_s8_17==2 | f2_s8_18==2 | f2_s8_19==2 | f2_s8_24==2 | f3_s8_17==2 | f3_s8_18==2 | ///
f3_s8_19==2 | f3_s8_24==2 | f4_s8_18==2 | f4_s8_19==2 | f4_s8_20==2 | f4_s8_25==2))
*#Pregunta 28, mujeres casadas
gen gobstca = 0
replace gobstca = 1 if (mujeres3==1 & (f2_s8_28_1==1 | f2_s8_28_2==1 | f2_s8_28_3==1 | f2_s8_28_4==1 | f2_s8_28_5==1 | f2_s8_28_6==1 | ///
f2_s8_28_7==1 | f2_s8_28_8==1 | f2_s8_28_9==1 | f2_s8_28_10==1 | f2_s8_28_11==1 | f2_s8_28_12==1 | f2_s8_28_13==1))
*#Pregunta 28, mujeres separas
gen gobstse = 0
replace gobstse = 1 if (mujeres3==1 & (f3_s8_28_1==1 | f3_s8_28_2==1 | f3_s8_28_3==1 | f3_s8_28_4==1 | f3_s8_28_5==1 | f3_s8_28_6==1 | ///
f3_s8_28_7==1 | f3_s8_28_8==1 | f3_s8_28_9==1 | f3_s8_28_10==1 | f3_s8_28_11==1 | f3_s8_28_12==1 | f3_s8_28_13==1))
*#Pregunta 29, mujeres solteras
gen gobstso = 0
replace gobstso = 1 if (mujeres3==1 & (f4_s8_29_1==1 | f4_s8_29_2==1 | f4_s8_29_3==1 | f4_s8_29_4==1 | f4_s8_29_5==1 | f4_s8_29_6==1 | ///
f4_s8_29_7==1 | f4_s8_29_8==1 | f4_s8_29_9==1 | f4_s8_29_10==1 | f4_s8_29_11==1 | f4_s8_29_12==1 | f4_s8_29_13==1))


**Numerador:** 
gen gin_obst = 0
replace gin_obst = 1 if (mujeres3==1 & (gin==1 | gin_obst1==1 | gobstca==1 | gobstse==1 | gobstso==1))

* Resultados
svy: ratio gin_obst/mujeres3
svy: ratio gin_obst/mujeres3, over(area)


*==============================================================================*
* Porcenataje de mujeres de 15 años y más que han tenido violencia Obstetrica 
* a lo largo de la vida
*==============================================================================*
*# VIOLENCIA OBSTÉTRICA
*#  # Pregunta2 =1 si pregunta3 ==2|3

gen obst1 = 0
replace obst1 = 1 if (mujeres4==1 & ((f2_s8_2_a==1 & f2_s8_2_a_3>=2) | (f3_s8_2a==1 & f3_s8_2a_3>=2) | (f4_s8_2_a==1 & f4_s8_3_a>=2)))
gen obst2 = 0
replace obst2 = 1 if (mujeres4==1 & ((f2_s8_2_b==1 & f2_s8_2_b_3>=2) | (f3_s8_2b==1 & f3_s8_2b_3>=2) | (f4_s8_2_b==1 & f4_s8_3_b>=2)))
gen obst3 = 0
replace obst3 = 1 if (mujeres4==1 & ((f2_s8_2_c==1 & f2_s8_2_c_3>=2) | (f3_s8_2c==1 & f3_s8_2c_3>=2) | (f4_s8_2_c==1 & f4_s8_3_c>=2)))
gen obst4 = 0
replace obst4 = 1 if (mujeres4==1 & ((f2_s8_2_d==1 & f2_s8_2_d_3>=2) | (f3_s8_2d==1 & f3_s8_2d_3>=2) | (f4_s8_2_d==1 & f4_s8_3_d>=2)))
gen obst5 = 0
replace obst5 = 1 if (mujeres4==1 & ((f2_s8_2_e==1 & f2_s8_2_e_3>=2) | (f3_s8_2e==1 & f3_s8_2e_3>=2) | (f4_s8_2_e==1 & f4_s8_3_e>=2)))
gen obst6 = 0
replace obst6 = 1 if (mujeres4==1 & ((f2_s8_2_f==1 & f2_s8_2_f_3>=2) | (f3_s8_2f==1 & f3_s8_2f_3>=2) | (f4_s8_2_f==1 & f4_s8_3_f>=2)))
gen obst7 = 0
replace obst7 = 1 if (mujeres4==1 & ((f2_s8_2_g==1 & f2_s8_2_g_3>=2) | (f3_s8_2g==1 & f3_s8_2g_3>=2) | (f4_s8_2_g==1 & f4_s8_3_g>=2)))

*# Pregunta 2 y preg. 3 con la preg. 17, 18, 19, 24 o preg: 18, 19, 20, 25
gen obst_1 = 0
replace obst_1 = 1 if (mujeres4==1 &  ((f2_s8_14==1 | f3_s8_14==1 | f4_s8_15==1) & (f2_s8_17==2 | f2_s8_18==2 | f2_s8_19==2 | f2_s8_24==2 | ///
f3_s8_17==2 | f3_s8_18==2 | f3_s8_19==2 | f3_s8_24==2 | f4_s8_18==2 | f4_s8_19==2 | f4_s8_20==2 | f4_s8_25==2)))
*#Pregunta 28, mujeres casadas
gen obstca = 0
replace obstca = 1 if (mujeres4==1 & (f2_s8_14==1 & (f2_s8_28_1==1 | f2_s8_28_2==1 | f2_s8_28_3==1 | f2_s8_28_4==1 | f2_s8_28_5==1 | ///
f2_s8_28_6==1 | f2_s8_28_7==1 | f2_s8_28_8==1 | f2_s8_28_9==1 | f2_s8_28_10==1 | f2_s8_28_11==1 | f2_s8_28_12==1 | f2_s8_28_13==1)))
*#Pregunta 28, mujeres separas
gen obstse = 0
replace obstse = 1 if (mujeres4==1 & (f3_s8_14==1 & (f3_s8_28_1==1 | f3_s8_28_2==1 | f3_s8_28_3==1 | f3_s8_28_4==1 | f3_s8_28_5==1 | ///
f3_s8_28_6==1 | f3_s8_28_7==1 | f3_s8_28_8==1 | f3_s8_28_9==1 | f3_s8_28_10==1 | f3_s8_28_11==1 | f3_s8_28_12==1 | f3_s8_28_13==1)))
*#Pregunta 29, mujeres solteras
gen obstso = 0
replace obstso = 1 if (mujeres4==1 & (f4_s8_15==1 & (f4_s8_29_1==1 | f4_s8_29_2==1 | f4_s8_29_3==1 | f4_s8_29_4==1 | f4_s8_29_5==1 | ///
f4_s8_29_6==1 | f4_s8_29_7==1 | f4_s8_29_8==1 | f4_s8_29_9==1 | f4_s8_29_10==1 | f4_s8_29_11==1 | f4_s8_29_12==1 | f4_s8_29_13==1))),

**Numerador:** 
gen obst = 0
replace obst = 1 if (mujeres4==1 & (obst1==1 | obst2==1 | obst3==1 | obst4==1 | obst5==1 | obst6==1 | obst7==1 | obst_1==1 | obstca==1 | obstse==1 | obstso==1))

* Resultados
svy: ratio obst/mujeres4
svy: ratio obst/mujeres4, over(area)
